Skip to main content
GET
/
api
/
private
/
broker
/
schedules
/
List Recurring Buys
curl --request GET \
  --url https://app.digitalsurge.com.au/api/private/broker/schedules/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "asset": "<string>",
      "asset_name": "<string>",
      "in_discovery_zone": true,
      "quantity": "<string>",
      "start": "2023-11-07T05:31:56Z",
      "period": "<string>",
      "enabled": true
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

Authorization
string
header
required

Personal API key, created in the Digital Surge app under Account Settings → API Keys. Send it with every request as Authorization: Bearer <your-api-key>.

Query Parameters

asset
string

Asset ID

enabled
boolean

Enabled

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"